Update a tag
curl --request PUT \
--url https://api.zerorank.ai/api/v1/tags/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.zerorank.ai/api/v1/tags/{id}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.zerorank.ai/api/v1/tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 5,
"name": "pricing",
"hexColor": "#3b82f6",
"promptCount": 8,
"workspaceId": 7,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"message": "Tag updated successfully"
}{
"success": false,
"message": "Invalid, revoked, or expired API key",
"code": "API_KEY_INVALID"
}{
"success": false,
"message": "This API key is read-only; a key with the \"write\" scope is required",
"code": "INSUFFICIENT_SCOPE"
}{
"success": false,
"message": "Prompt not found"
}{
"success": false,
"message": "Validation failed",
"errors": [
{
"field": "text",
"message": "The text field is required"
}
]
}{
"success": false,
"message": "API rate limit exceeded. Please slow down.",
"code": "RATE_LIMIT_EXCEEDED",
"retryAfter": 30
}Update a tag
Renames a tag or changes its color. PATCH works the same way. Needs a key with the write scope.
PUT
/
tags
/
{id}
Update a tag
Authorizations
Send your workspace API key as Authorization: Bearer zr_live_….
Path Parameters
The numeric id of the item.
Body
application/json
⌘I